【活用ガイド】

JVNDB-2013-001005

Ruby on Rails の Active Record コンポーネントにおける SQL インジェクションの脆弱性

概要

Ruby on Rails の Active Record コンポーネントには、SQL インジェクションの脆弱性が存在します。
CVSS による深刻度 (CVSS とは?)

基本値: 7.5 (危険) [NVD値]
  • 攻撃元区分: ネットワーク
  • 攻撃条件の複雑さ: 低
  • 攻撃前の認証要否: 不要
  • 機密性への影響(C): 部分的
  • 完全性への影響(I): 部分的
  • 可用性への影響(A): 部分的

影響を受けるシステム


Ruby on Rails project
  • Rails 3.0.18 未満
  • Rails 3.1.9 未満の 3.1.x
  • Rails 3.2.10 未満の 3.2.x

想定される影響

第三者により、特定の find_by_ メソッドコールに想定外のデータタイプを利用可能としているアプリケーションにおいて不正な動作をするように巧妙に細工されたリクエストを介して、任意の SQL コマンドを実行される可能性があります。
対策

ベンダ情報および参考情報を参照して適切な対策を実施してください。
ベンダ情報

Ruby on Rails project レッドハット
CWEによる脆弱性タイプ一覧  CWEとは?

  1. SQLインジェクション(CWE-89) [NVD評価]
共通脆弱性識別子(CVE)  CVEとは?

  1. CVE-2012-6496
参考情報

  1. National Vulnerability Database (NVD) : CVE-2012-6496
更新履歴

[2013年01月07日]
  掲載